## golang 58.1

=== debian/changelog ===
golang (1:58.1-1ubuntu1) oneiric; urgency=low

  * debian/patches/010-fix_arm_ftbfs.patch: Remove gcc warnings,
  fixes FTBFS on ARM. From upstream hg repo.

 -- Jani Monoses <jani@ubuntu.com>  Thu, 14 Jul 2011 22:57:37 +0300

=== debian/control ===
Source: golang
Section: devel
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Vcs-Browser: http://git.debian.org/?p=pkg-google/golang.git
Vcs-Git: git://git.debian.org/pkg-google/golang.git
Build-Depends: debhelper (>= 7.4.10), bison, ed, mawk | awk, perl
Standards-Version: 3.9.2
Homepage: http://golang.org/

Package: golang-go
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: golang-tools
Provides: go-compiler
Description: Experimental Go programming language compiler
 This package provides assembler, compiler and linker for the Go
 programming language.  This is Google's Go implementation of the
 tool chain.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between stable
 releases, check http://golang.org/doc/devel/release.html before
 upgrading this package.

Package: golang-src
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, golang-go
Recommends: golang-tools
Description: Go programming language compiler (.go source files)
 This package provides the source files for the Go programming
 language needed for godoc and goinstall.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between stable
 releases, check http://golang.org/doc/devel/release.html before
 upgrading this package.

Package: golang-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for Google's Go programming language
 This package provides the documentation for the Go programming
 language.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 After installing golang-tools package, you can view a nicely
 formatted documentation by running godoc --http=:6060 and then
 visiting http://localhost:6060/doc/install.html.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between stable
 releases, check http://golang.org/doc/devel/release.html before
 upgrading this package.

Package: golang-tools
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: golang-go, ${shlibs:Depends}, ${misc:Depends}
Recommends: golang-src
Description: Tools for Google's Go programming language
 This package provides various tools for the Go programming language:
  * godoc - extracts and generates documentation for Go programs
  * gofix - upgrade Go programs to the most recent release
  * gofmt - formats Go programs
  * goinstall - automatic package installation
  * gotry - evaluate expressions on the command line
  * govet - simple checking of Go source code
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between stable
 releases, check http://golang.org/doc/devel/release.html before
 upgrading this package.

Package: golang-mode
Architecture: all
Depends: ${misc:Depends}, emacs23 | emacsen
Suggests: golang-go
Description: Go mode for GNU Emacs
 Provides a major mode for GNU Emacs to edit programs written in Google's
 Go programming language.

Package: kate-syntax-go
Architecture: all
Depends: ${misc:Depends}, kate
Suggests: golang-go
Description: Syntax files to highlight Go in the Kate editor
 Provides a syntax highlighting for the Kate editor to edit programs
 written in Google's Go programming language.

Package: vim-syntax-go
Architecture: all
Depends: ${misc:Depends}, vim
Recommends: vim-addon-manager
Suggests: golang-go
Description: Syntax files to highlight Go in the Vim editor
 Provides a syntax highlighting for the Vim editor to edit programs
 written in Google's Go programming language.

Package: golang-dbg
Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
Depends: ${misc:Depends}, golang-go (= ${binary:Version})
Recommends: gdb
Section: debug
Priority: extra
Description: Go programming language tool chain [debug]
 This package provides the debug symbols for Google's Go tool
 chain binaries (assembler, compiler, linker) needed for properly
 debugging errors in the tool chain with gdb.

Package: golang
Depends: ${misc:Depends},
	 golang-go (>= ${source:Version}),
         golang-src (>= ${source:Version}),
         golang-tools (>= ${source:Version})
Architecture: all
Description: Experimental Go programming language [meta package]
 This package is a metapackage that, when installed, guarantees
 that the full Go development environment is installed.
 .
 The Go programming language is an open source project to make
 programmers more productive. Go is expressive, concise, clean, and
 efficient.  Its concurrency mechanisms make it easy to write programs
 that get the most out of multicore and networked machines, while its
 novel type system enables flexible and modular program construction.
 Go compiles quickly to machine code yet has the convenience of
 garbage collection and the power of run-time reflection.  It's a
 fast, statically typed, compiled language that feels like a
 dynamically typed, interpreted language.
 .
 Go is an experiment. We hope adventurous users will give it a try and
 see if they enjoy it. Not every programmer will, but we hope enough
 will find satisfaction in the approach it offers to justify further
 development. The language can (and still does) change between stable
 releases, check http://golang.org/doc/devel/release.html before
 upgrading this package.

=== debian/rules ===
#!/usr/bin/make -f
# This file is in the public domain.
# You may freely use, modify, distribute, and relicense it.

PACKAGE = golang

libexecdir := /usr/lib/go
datadir := /usr/share/go
bindir := /bin

build clean install binary-arch binary-indep binary:
	+dh --parallel $(opt_no_act) $@

override_dh_auto_clean:
	rm -rf bin
	rm -f debian/*+
	rm -f debian/build.stamp
	: NEEDSWORK: update src/pkg/Makefile.
	#cd src/pkg && $(GOBIN)/gomake exp/ogle.clean
	rm -f src/pkg/Make.deps
	rm -f test/pass.out test/run.out test/times.out

override_dh_auto_build: debian/build.stamp

override_dh_auto_test:
	:
#	$(no_check) || { cd src && bash ./run.bash --no-rebuild; }

override_dh_compress:
	dh_compress -Xusr/share/doc/$(PACKAGE)-doc/html -Xusr/share/doc/$(PACKAGE)-doc/godoc

override_dh_install:
	dh_install --fail-missing
	for f in $$(find src/cmd -name doc.go ; find src/pkg -name \*.go); do \
	  install -D -m 0644 $$f debian/$(PACKAGE)-src/$(datadir)/$$f; \
	done
	make -f debian/native-symlinks.mk PACKAGE=$(PACKAGE)

override_dh_strip:
	dh_strip -X".a" -Xgoinstall -Xgodoc -Xgoyacc -Xbin/cgo -Xebnflint -Xgofix -Xgofmt -Xgovet -Xgotest --dbg-package=$(PACKAGE)-dbg

debian/build.stamp:
	rm -f debian/build.stamp
	mkdir -p $(GOBIN)
	+cd src && bash ./make.bash
	>debian/build.stamp

opt_no_act =
no_check = ! :

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
    $(warning no support for disabling optimization)
endif

ifneq (,$(findstring n,$(MAKEFLAGS)))
    opt_no_act = --no-act
endif

ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
    no_check = :
endif

GOROOT := $(CURDIR)
GOROOT_FINAL := $(libexecdir)
GOBIN := $(CURDIR)$(bindir)
GOARM :=

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH 2>/dev/null)
DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
DEB_HOST_ARCH_CPU := $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU 2>/dev/null)
DEB_BUILD_ARCH_OS := $(shell dpkg-architecture -qDEB_BUILD_ARCH_OS 2>/dev/null)
DEB_BUILD_ARCH_CPU := $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU 2>/dev/null)

ifeq ($(DEB_BUILD_ARCH_OS), kfreebsd)
    GOHOSTOS := freebsd
else ifeq ($(DEB_BUILD_ARCH_OS), linux)
    GOHOSTOS := linux
else
    $(error unrecongized build host kernel $(DEB_BUILD_ARCH_OS)!)
endif

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
    GOOS := freebsd
else ifeq ($(DEB_HOST_ARCH_OS), linux)
    GOOS := linux
else
    $(error unrecognized kernel $(DEB_HOST_ARCH_OS)!)
endif

ifeq ($(DEB_BUILD_ARCH_CPU), i386)
    GOHOSTARCH := 386
else ifeq ($(DEB_BUILD_ARCH_CPU), amd64)
    GOHOSTARCH := amd64
else ifeq ($(DEB_BUILD_ARCH_CPU), arm)
    GOHOSTARCH := arm
else ifeq ($(DEB_BUILD_ARCH_CPU), armhf)
    GOHOSTARCH := arm
else
    $(error unrecognized build host instruction set $(DEB_HOST_ARCH_CPU)!)
endif

ifeq ($(DEB_HOST_ARCH_CPU), i386)
    GOARCH := 386
    GOPREFIX := 8
else ifeq ($(DEB_HOST_ARCH_CPU), amd64)
    GOARCH := amd64
    GOPREFIX := 6
else ifeq ($(DEB_HOST_ARCH_CPU), arm)
    GOARCH := arm
    GOPREFIX := 5
ifeq ($(DEB_HOST_ARCH), armel)
    GOARM := 5
else ifeq ($(DEB_HOST_ARCH), armhf)
    GOARM := 6
else
    $(error unrecognized arm architecture $(DEB_HOST_ARCH)!)
endif
else
    $(error unrecognized instruction set $(DEB_HOST_ARCH_CPU)!)
endif

export GOROOT GOROOT_FINAL GOOS GOARCH GOARM GOBIN GOHOSTARCH GOHOSTOS

REPO = https://go.googlecode.com/hg/
GOLANG_ORIG_DIR = $(CURDIR)/../go
REV = release
get-orig-source:
	-set -e; \
	if [ ! -d $(GOLANG_ORIG_DIR) ]; then \
		hg clone -r"$(REV)" "$(REPO)" "$(GOLANG_ORIG_DIR)"; \
	fi
	cd "$(GOLANG_ORIG_DIR)"; \
	hg pull; \
	hg update "$(REV)"; \
	VERSION=$$(hg identify -t -r"$(REV)" | perl -e '<> =~ /$(REV)\.r([\d.]+)/; print "$$1"'); \
	hg archive -ttgz -p"$(PACKAGE)-$$VERSION/" -r"$(REV)" -X'.hg*' -X'doc/talks/go_talk-20091030.pdf' "$(CURDIR)/../$(PACKAGE)_$$VERSION.orig.tar.gz"; \
	echo "Now run git-import-orig $(CURDIR)/../$(PACKAGE)_$$VERSION.orig.tar.gz"

.PHONY: build clean install binary-arch binary-indep binary

## golang 60.1

=== doc/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../src/Make.inc

TARG=tmpltohtml
GOFILES=\
	tmpltohtml.go\

include ../src/Make.cmd

=== misc/goplay/Makefile ===
# Copyright 2010 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../src/Make.inc

TARG=goplay

GOFILES=\
	goplay.go\

include ../../src/Make.cmd

=== src/cmd/Makefile ===
# Copyright 2011 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../Make.inc

all: install

# Only build tools for current architecture, and only tools written in C.
# The tools written in Go are managed by ../pkg/Makefile.
DIRS=\
	$(O)a\
	$(O)c\
	$(O)g\
	$(O)l\
	cc\
	cov\
	gc\
	godefs\
	gopack\
	gotry\
	nm\
	prof\
	
# Clean applies to all directories, even for other architectures or 
# written in Go.
CLEANDIRS=\
	$(DIRS)\
	5a\
	5c\
	5g\
	5l\
	6a\
	6c\
	6g\
	6l\
	8a\
	8c\
	8g\
	8l\
	cgo\
	ebnflint\
	godoc\
	gofix\
	gofmt\
	goinstall\
	gotest\
	gotype\
	goyacc\
	hgpatch\

install: $(patsubst %,%.install,$(DIRS))
clean: $(patsubst %,%.clean,$(CLEANDIRS))

%.install:
	@echo
	@echo %%%% making $* %%%%
	@echo
	$(MAKE) -C $* install

gc.install $(O)c.install: cc.install
$(O)g.install: gc.install
$(O)a.install $(O)c.install $(O)g.install: $(O)l.install

%.clean:
	$(MAKE) -C $* clean

echo-dirs:
	@echo $(DIRS)

=== src/lib9/Makefile ===
# Copyright 2009 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../Make.inc
O:=$(HOST_O)

LIB=lib9.a

NUM=\
	charstod.$O\
	pow10.$O\

# Could add fmt/errfmt, but we want to pick it up from ./errstr.c instead.
FMTOFILES=\
	dofmt.$O\
	fltfmt.$O\
	fmt.$O\
	fmtfd.$O\
	fmtfdflush.$O\
	fmtlocale.$O\
	fmtlock2.$O\
	fmtnull.$O\
	fmtprint.$O\
	fmtquote.$O\
	fmtrune.$O\
	fmtstr.$O\
	fmtvprint.$O\
	fprint.$O\
	nan64.$O\
	print.$O\
	seprint.$O\
	smprint.$O\
	snprint.$O\
	sprint.$O\
	strtod.$O\
	vfprint.$O\
	vseprint.$O\
	vsmprint.$O\
	vsnprint.$O\
	$(NUM)\

UTFOFILES=\
	rune.$O\
	utfecpy.$O\
	utflen.$O\
	utfnlen.$O\
	utfrrune.$O\
	utfrune.$O\
	utfutf.$O\
	runetype.$O\

LIB9OFILES=\
	_p9dir.$O\
	_exits.$O\
	argv0.$O\
	atoi.$O\
	cleanname.$O\
	create.$O\
	dirfstat.$O\
	dirfwstat.$O\
	dirstat.$O\
	dirwstat.$O\
	dup.$O\
	errstr.$O\
	exec.$O\
	execl.$O\
	exitcode.$O\
	exits.$O\
	getenv.$O\
	getfields.$O\
	getwd.$O\
	goos.$O\
	main.$O\
	nan.$O\
	nulldir.$O\
	open.$O\
	readn.$O\
	seek.$O\
	strecpy.$O\
	sysfatal.$O\
	time.$O\
	tokenize.$O\

ifeq ($(GOHOSTOS),windows)
LIB9OFILES+=\
	win32.$O\

else
LIB9OFILES+=\
	await.$O\
	getuser.$O\
	jmp.$O\
	notify.$O\
	rfork.$O\

endif

OFILES=\
	$(LIB9OFILES)\
	$(FMTOFILES)\
	$(UTFOFILES)\

HFILES=\
	$(QUOTED_GOROOT)/include/u.h\
	$(QUOTED_GOROOT)/include/libc.h\

include ../Make.clib

GOROOT_FINAL?=$(GOROOT)

%.$O: fmt/%.c
	$(HOST_CC) -c $(HOST_CFLAGS) -DPLAN9PORT -Ifmt $<

%.$O: utf/%.c
	$(HOST_CC) -c $(HOST_CFLAGS) $<

goos.$O: goos.c
	GOVERSION=`../version.bash` && \
		$(HOST_CC) -c $(HOST_CFLAGS) -DGOOS='"$(GOOS)"' -DGOARCH='"$(GOARCH)"' -DGOROOT='"$(GOROOT_FINAL)"' -DGOVERSION='"'"$$GOVERSION"'"' $<

=== src/libbio/Makefile ===
# Derived from http://code.google.com/p/inferno-os/source/browse/libbio/mkfile
# 
# 	Copyright © 1994-1999 Lucent Technologies Inc.  All rights reserved.
# 	Revisions Copyright © 2000-2007 Vita Nuova Holdings Limited (www.vitanuova.com).  All rights reserved.
# 	Portions Copyright © 2009 The Go Authors.  All rights reserved.
# 
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
# 
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
# 
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

include ../Make.inc
O:=$(HOST_O)

LIB=libbio.a

OFILES=\
	bbuffered.$O\
	bfildes.$O\
	bflush.$O\
	bgetc.$O\
	bgetrune.$O\
	bgetd.$O\
	binit.$O\
	boffset.$O\
	bprint.$O\
	bputc.$O\
	bputrune.$O\
	brdline.$O\
	brdstr.$O\
	bread.$O\
	bseek.$O\
	bwrite.$O\

HFILES=\
	../../include/bio.h

include ../Make.clib

=== src/libmach/Makefile ===
# Derived from Inferno libmach/mkfile
# http://code.google.com/p/inferno-os/source/browse/utils/libmach/mkfile
#
#	Copyright © 1994-1999 Lucent Technologies Inc.
#	Power PC support Copyright © 1995-2004 C H Forsyth (forsyth@terzarima.net).
#	Portions Copyright © 1997-1999 Vita Nuova Limited.
#	Portions Copyright © 2000-2007 Vita Nuova Holdings Limited (www.vitanuova.com).
#	Revisions Copyright © 2000-2004 Lucent Technologies Inc. and others.
#	Portions Copyright © 2009 The Go Authors.  All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

include ../Make.inc
O:=$(HOST_O)

LIB=libmach.a
OFILES=\
	executable.$O\
	fakeobj.$O\
	map.$O\
	obj.$O\
	swap.$O\
	sym.$O\
	access.$O\
	machdata.$O\
	setmach.$O\
	5.$O\
	6.$O\
	8.$O\
	5db.$O\
	8db.$O\
	5obj.$O\
	6obj.$O\
	8obj.$O\

ifneq ($(GOHOSTOS),windows)
OFILES+=\
	$(shell uname | tr A-Z a-z).$O\

else
OFILES+=\
	windows.$O\

endif

HFILES=../../include/mach.h elf.h macho.h obj.h

include ../Make.clib

=== src/pkg/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

# After editing the DIRS= list or adding imports to any Go files
# in any of those directories, run:
#
#	./deps.bash
#
# to rebuild the dependency information in Make.deps.

include ../Make.inc

all: install

DIRS=\
	archive/tar\
	archive/zip\
	asn1\
	big\
	bufio\
	bytes\
	cmath\
	compress/bzip2\
	compress/flate\
	compress/gzip\
	compress/lzw \
	compress/zlib\
	container/heap\
	container/list\
	container/ring\
	container/vector\
	crypto\
	crypto/aes\
	crypto/blowfish\
	crypto/cast5\
	crypto/cipher\
	crypto/des\
	crypto/dsa\
	crypto/ecdsa\
	crypto/elliptic\
	crypto/hmac\
	crypto/md4\
	crypto/md5\
	crypto/ocsp\
	crypto/openpgp\
	crypto/openpgp/armor\
	crypto/openpgp/elgamal\
	crypto/openpgp/error\
	crypto/openpgp/packet\
	crypto/openpgp/s2k\
	crypto/rand\
	crypto/rc4\
	crypto/ripemd160\
	crypto/rsa\
	crypto/sha1\
	crypto/sha256\
	crypto/sha512\
	crypto/subtle\
	crypto/tls\
	crypto/twofish\
	crypto/x509\
	crypto/x509/pkix\
	crypto/xtea\
	csv\
	debug/dwarf\
	debug/macho\
	debug/elf\
	debug/gosym\
	debug/pe\
	ebnf\
	encoding/ascii85\
	encoding/base32\
	encoding/base64\
	encoding/binary\
	encoding/git85\
	encoding/hex\
	encoding/pem\
	exec\
	exp/datafmt\
	exp/gui\
	exp/gui/x11\
	exp/norm\
	exp/regexp/syntax\
	exp/template/html\
	expvar\
	flag\
	fmt\
	go/ast\
	go/build\
	go/doc\
	go/parser\
	go/printer\
	go/scanner\
	go/token\
	go/typechecker\
	go/types\
	gob\
	hash\
	hash/adler32\
	hash/crc32\
	hash/crc64\
	hash/fnv\
	html\
	http\
	http/cgi\
	http/fcgi\
	http/pprof\
	http/httptest\
	http/spdy\
	image\
	image/bmp\
	image/draw\
	image/gif\
	image/jpeg\
	image/png\
	image/tiff\
	image/ycbcr\
	index/suffixarray\
	io\
	io/ioutil\
	json\
	log\
	mail\
	math\
	mime\
	mime/multipart\
	net\
	net/dict\
	net/textproto\
	netchan\
	old/template\
	os\
	os/signal\
	os/user\
	patch\
	path\
	path/filepath\
	rand\
	reflect\
	regexp\
	rpc\
	rpc/jsonrpc\
	runtime\
	runtime/cgo\
	runtime/debug\
	runtime/pprof\
	scanner\
	smtp\
	sort\
	strconv\
	strings\
	sync\
	sync/atomic\
	syscall\
	syslog\
	tabwriter\
	template\
	template/parse\
	testing\
	testing/iotest\
	testing/quick\
	testing/script\
	time\
	try\
	unicode\
	url\
	utf16\
	utf8\
	websocket\
	xml\
	../cmd/cgo\
	../cmd/ebnflint\
	../cmd/godoc\
	../cmd/gofix\
	../cmd/gofmt\
	../cmd/goinstall\
	../cmd/gotest\
	../cmd/gotype\
	../cmd/govet\
	../cmd/goyacc\
	../cmd/hgpatch\

ifeq ($(GOOS),linux)
DIRS+=\
	os/inotify\

endif

ifeq ($(GOOS),plan9)
NOPLAN9BUILD=\
	crypto/tls\
	exp/gui/x11\
	expvar\
	http\
	http/cgi\
	http/fcgi\
	http/httptest\
	http/pprof\
	http/spdy\
	mail\
	mime/multipart\
	net\
	net/dict\
	net/textproto\
	netchan\
	os/signal\
	rpc\
	rpc/jsonrpc\
	smtp\
	syslog\
	websocket\
	../cmd/godoc\
	../cmd/goinstall\

DIRS:=$(filter-out $(NOPLAN9BUILD),$(DIRS))
endif

NOTEST+=\
	crypto\
	crypto/openpgp/error\
	crypto/x509/pkix\
	exp/gui\
	exp/gui/x11\
	go/ast\
	go/doc\
	go/token\
	hash\
	http/pprof\
	http/httptest\
	image/bmp\
	image/gif\
	net/dict\
	rand\
	runtime/cgo\
	syscall\
	testing\
	testing/iotest\
	try\
	../cmd/cgo\
	../cmd/ebnflint\
	../cmd/godoc\
	../cmd/gotest\
	../cmd/goyacc\
	../cmd/hgpatch\

NOBENCH+=\
	container/vector\

# Disable tests that windows cannot run yet.
ifeq ($(GOOS),windows)
NOTEST+=os/signal    # no signals
NOTEST+=syslog       # no network
NOTEST+=time         # no syscall.Kill, syscall.SIGCHLD for sleep tests
endif

TEST=\
	$(filter-out $(NOTEST),$(DIRS))

BENCH=\
	$(filter-out $(NOBENCH),$(TEST))

clean.dirs: $(addsuffix .clean, $(DIRS))
install.dirs: $(addsuffix .install, $(DIRS))
nuke.dirs: $(addsuffix .nuke, $(DIRS))
test.dirs: $(addsuffix .test, $(TEST))
testshort.dirs: $(addsuffix .testshort, $(TEST))
bench.dirs: $(addsuffix .bench, $(BENCH))

%.clean:
	+$(MAKE) -C $* clean

%.install:
	+@echo install $*
	+@$(MAKE) -C $* install.clean >$*/build.out 2>&1 || (echo INSTALL FAIL $*; cat $*/build.out; exit 1)

%.nuke:
	+$(MAKE) -C $* nuke

%.test:
	+@echo test $*
	+@$(MAKE) -C $* test.clean >$*/test.out 2>&1 || (echo TEST FAIL $*; cat $*/test.out; exit 1)

%.testshort:
	+@echo test $*
	+@$(MAKE) -C $* testshort.clean >$*/test.out 2>&1 || (echo TEST FAIL $*; cat $*/test.out; exit 1)

%.bench:
	+$(MAKE) -C $* bench	

clean: clean.dirs

install: install.dirs

test:	test.dirs

testshort: testshort.dirs

bench:	bench.dirs ../../test/garbage.bench

nuke: nuke.dirs
	rm -rf "$(GOROOT)"/pkg/*

deps:
	./deps.bash

echo-dirs:
	@echo $(DIRS)

-include Make.deps

runtime/cgo.install: ../cmd/cgo.install

=== doc/codelab/wiki/Makefile ===
# Copyright 2010 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

all: index.html

include ../../../src/Make.common

CLEANFILES+=index.html srcextract.bin htmlify.bin get.bin

index.html: srcextract.bin htmlify.bin
	PATH=.:$$PATH awk '/^!/{system(substr($$0,2)); next} {print}' < wiki.html | tr -d '\r' > index.html

test: get.bin
	bash ./test.sh
	rm -f get.6 get.bin

%.bin: %.$O
	$(LD) -o $@ $<

%.$O: %.go
	$(GC) $*.go

=== misc/cgo/test/Makefile ===
# Copyright 2011 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=runtime/cgotest

CGOFILES=\
	align.go\
	basic.go\
	callback.go\
	env.go\
	exports.go\
	issue1222.go\
	issue1328.go\
	issue1560.go\
	duplicate_symbol.go\

CGO_OFILES=\
	callback_c.o\

OFILES=\
	runtime.$O\

include ../../../src/Make.pkg

=== misc/dashboard/builder/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=gobuilder
GOFILES=\
	exec.go\
	http.go\
	main.go\
	package.go\

include ../../../src/Make.cmd

=== misc/swig/callback/Makefile ===
# Copyright 2011 The Go Authors.  All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../../src/Make.inc

TARG=swig/callback
SWIGFILES=\
	callback.swigcxx

CLEANFILES+=run

include ../../../src/Make.pkg

%: install %.go
	$(GC) $*.go
	$(LD) $(SWIG_RPATH) -o $@ $*.$O

=== src/cmd/5a/Makefile ===
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

include ../../Make.inc
O:=$(HOST_O)

TARG=5a

HFILES=\
	a.h\
	y.tab.h\
	../5l/5.out.h\

OFILES=\
	y.tab.$O\
	lex.$O\
	../5l/enam.$O\

YFILES=\
	a.y\

include ../../Make.ccmd

lex.$O:	../cc/macbody ../cc/lexbody

## golang 60.3

=== src/pkg/Makefile ===
--- 
+++ 
@@ -77,7 +77,6 @@
 	encoding/hex\
 	encoding/pem\
 	exec\
-	exp/datafmt\
 	exp/gui\
 	exp/gui/x11\
 	exp/norm\

=== debian/control ===
--- 
+++ 
@@ -92,7 +92,7 @@
 Package: golang-tools
 Architecture: i386 amd64 kfreebsd-i386 kfreebsd-amd64 armel armhf
 Depends: golang-go, ${shlibs:Depends}, ${misc:Depends}
-Recommends: golang-src
+Recommends: golang-src, golang-doc
 Description: Tools for Google's Go programming language
  This package provides various tools for the Go programming language:
   * godoc - extracts and generates documentation for Go programs
@@ -159,7 +159,8 @@
 Depends: ${misc:Depends},
 	 golang-go (>= ${source:Version}),
          golang-src (>= ${source:Version}),
-         golang-tools (>= ${source:Version})
+         golang-tools (>= ${source:Version}),
+	 golang-doc (>= ${source:Version})
 Architecture: all
 Description: Experimental Go programming language [meta package]
  This package is a metapackage that, when installed, guarantees

=== debian/rules ===
--- 
+++ 
@@ -133,7 +133,12 @@
 	hg pull; \
 	hg update "$(REV)"; \
 	VERSION=$$(hg identify -t -r"$(REV)" | perl -e '<> =~ /$(REV)\.r([\d.]+)/; print "$$1"'); \
-	hg archive -ttgz -p"$(PACKAGE)-$$VERSION/" -r"$(REV)" -X'.hg*' -X'doc/talks/go_talk-20091030.pdf' "$(CURDIR)/../$(PACKAGE)_$$VERSION.orig.tar.gz"; \
+	hg archive -tfiles -r"$(REV)" -X'.hg*' -X'doc/talks/go_talk-20091030.pdf' "$(CURDIR)/../$(PACKAGE)-$$VERSION/"; \
+	src/version.bash -save; \
+	cp VERSION "$(CURDIR)/../$(PACKAGE)-$$VERSION/"; \
+	cd ..; \
+	tar -czf "$(CURDIR)/../$(PACKAGE)_$$VERSION.orig.tar.gz" "$(PACKAGE)-$$VERSION/"; \
+	rm -rf "$(CURDIR)/../$(PACKAGE)-$$VERSION/"; \
 	echo "Now run git-import-orig $(CURDIR)/../$(PACKAGE)_$$VERSION.orig.tar.gz"
 
 .PHONY: build clean install binary-arch binary-indep binary

## golang 4476-1

=== debian/changelog ===
golang (4476-1) unstable; urgency=low

  * Prefixed gomake with the GOBIN variable to make the package compile from scratch.

 -- Kees Jongenburger <kees.jongenburger@gmail.com>  Sun, 24 Jan 2010 10:24:36 +0100

golang (4476) unstable; urgency=low

  * Initial Release.

 -- Kees Jongenburger <kees.jongenburger@gmail.com>  Sat,  9 Jan 2010 22:14:13 +0100

=== debian/control ===
Source: golang
Section: user/development
Priority: extra
Maintainer: Kees Jongenburger <kees.jongenburger@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: golang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The go compiler and standard libraries.
 The go compiler and standard libraries. Go is a systems programming language. It is expressive, concurrent and garbage-collected.
 see http://golang.org/ for more information.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oBFwwCHdf1JEAAAAxFSURBVGjexVl7TFRXGv/OXOYFjCAoIAgMWB7y
 EBAQqIpKQW1pKaIVtw9IjdDWhmA22tgQDbbq1mi3xaSN1kQp2mqwLGm0qa2y
 2loKAoIy8pCFqVCdYQZ5zHuYmXu+/WMZMo4CA0r3l0zmnHvPPff7nfO9zncJ
 zACUUuBwOOP98PBwRi6X881mc8Do6OgSlmUTASDUyclJwePxfnd2dm5KSkq6
 29DQQHU6XYizs3OCh4dHV3JycmtFRYXxSXM6CqfpPrB+/frxF4WFhfH8/f0X
 cjic18LDw9O8vb3NTU1NoUqlMoTP5wMigsFgKPDx8WkXCoW/c7lcdUxMjF9M
 TIy3RqPx7u3t/aW4uHhvWVnZwEyEnzaBefPmwaVLlwAAwNvbO0AsFq9PTk4u
 SEpKCkpMTHS+ePGiMCwsDLKyslixWMwiIunp6YGrV69GCIXCIHd3d6NMJuM4
 OTmJjhw5Qqurq0VffvmlFgB2wWwjOjra2uQQQlYVFhZW/PTTT7LR0VETIuLP
 P/+MH330ERoMBkREav09fPiQVlVVYUFBAUqlUnNxcbEZALCyshL7+/v1UVFR
 l59Gril3gMfjgclkAolEAgCwwMvL69UvvvhiY2pqaqKXl5cbAMDIyAg0Nzfj
 Cy+8AAKBABARCCEgl8vx5ZdfJgqFAoRCIbz55pvM559/zs6dOxfr6uqIwWCA
 qKioljt37syYwJSKZzKZrM2kRYsW7S8oKCjS6/Ur+/r63Kw3LBYLqFQqdHP7
 3yVCCAAA0Wq1pLm5mTx48AD7+/tRLpcTAGD27NkDcXFx7Pbt24WZmZn/AgBA
 xGe/A6GhodDV1QVz5859XSgUlkRERPjq9Xq3W7dukZaWFqyuriZFRUXUzc3N
 KBaLnfv6+jAyMpKM7QCGhISQ7777DiUSCfH09ARPT08EAJbD4cBbb73FUalU
 ym+//fYNAKgnhIzv3FPDdjUiIiL+tmzZMmlubq7l5s2baAuZTGbcunWrWSaT
 0aamJjx8+DDqdDq0h1wuxwMHDtDBwUHrJZZSyiIiLSwsvP/uu+9uedK7HcFj
 dCUSybjBrlixIjEkJOR4bGzskoiICCY9PR0QEQkh0N/fjzdu3GDb29u5nZ2d
 8PXXX+M333xDhoaG4MUXXwQejweUUpDL5XDp0iVIT0+HlStXWlcZAQABgPPg
 wQPzK6+80tLc3LyWEKKaaTwAAIDU1NTx9scff+wVEhJS09raOpSXl4d6vd7W
 u7BZWVl0TAgaGBiIWq0WGxsbcd++fbht2zYsLCzEvXv34rFjx/DPP/9ERERK
 qXWOsS6lFosFi4qKhouLi3faBsppIz4+3rqFJC4ubt2aNWuqUlJS9AaDAdev
 X09HRkaoDQFLbm4uBQBMT0/HyMhIzMrKwvDwcPTz88OcnBzMz89HW5UbE368
 a3u9oaEBc3JyfkNEn6fWf4ZhXi8tLa2rqakxbN68GRERd+/ejV1dXXRs1RAR
 Lf39/fTChQvY09ND/fz8rCqB+fn5tLa2Fu/cuYN5eXloMplwKiiVStyxY8f9
 CxcubJ6uLTyibC4uLoH+/v4Zubm5YY2NjXxfX18AAMjOzsZTp06B2WwmY/pL
 vL29ISMjA3bu3EkGBwdx//79tKGhAcvLy4lYLIaenh4QCATAMMyUPsPNzY2u
 WLFi/tWrV9MQcY6NK56eGzUajd5RUVHeAoHA6ejRo2Tjxo0AAHTp0qVErVbT
 0tJSxs/PD/h8Puj1euju7obCwkIAACgpKSE9PT2QlZUFIyMj0NHRAa2trQ4Z
 JI/HI3Fxcdy7d++m/Pjjj8sQ8cqMCPj4+MiGhobkZrMZP/nkE7xy5QoBAMLl
 ciEjI4MTHR2NP/zwA9FqtRATEwPvvfceMgwD7e3tZNeuXfDw4UNIS0uD2NhY
 MBqNcPnyZcjLy5vKZRNCCAYHB+Nzzz23uKKiYnVCQkItABgAAAoKCuDEiRMT
 q7xtR6PRqDUajY9GowkNCgpyb2trI5s2bWIRkQEAIhKJyNKlSzE5ORnEYjHh
 cDiEEEKSk5PR1dWVcDgcSEhIgF9//RV6e3tBrVbDqlWrHPPnhBBnZ2e2paXF
 69y5czfa29sf7Nu3D5qbm8HV1dU2I3gy3n//fQAAYFnWKT4+PkcsFh8NCgq6
 a7FYHtp5DmrvRazo7OzEzz77DLdv346HDh1ClUqFDsDWPbGffvqpKTo6+oSH
 h8dWkUiU7enpKXLYA23YsOGRfkBAwD+ampruoo37sSdgj76+PlQqlRO5zwlJ
 WMc1NTUZ0tLS1AcPHqzLyMg4xTDMQYe9UHV19SPuy2g0njt8+PAQAJjHojaO
 /Vvbj6Uf/v7+MH/+/PFrDhojGRuHsbGx3ICAAK67u7uHUCj04PP5vGllo7Yv
 VCqVt2trayW3b99ue4IgZKLnJrvmQBwirq6uTtXV1azJZGrIzs7eP6OA5uXl
 ZY0NsVu3br2IiEa7VGDamEqdxvSIHjlyBD/44IMbPT09fo4EsiwA8Le/oVQq
 rYcZSWNjo/zevXudYynvY+rjcOZICEgkEjh//jy0tbWNexar+ll3LDg4GBQK
 xRJCiLsjBP4JAGsmOswIhUI6MDBw8ujRoyoA0E6XBCKOCyiTyeCrr76C+vp6
 OHv2LJw+fdpWcGs6AgsXLgSdTsellHIdIZAEABUTDVCr1cjj8W7euHHjwvff
 f68EAMsEJHCylaeUQk1NDWi1WsjOzobs7Gw4cOAAmM1mtAY0q10tWLAAFQoF
 6ejoYKe0GWvEmwwqlYo1mUz35XJ51OLFi4MXLFjAs3EdONHZAgCQEEJYloXa
 2lq8fv06iYyMhNHRUWhoaIDMzEyIj48nhBC0NXiGYfD48eMcLpd7rLa2VvFU
 2enatWvH2/Pnz3/tww8/7FSr1aN2+f1k1klZlqUKhWL8XGAwGFAul48/bzVe
 6zwWi8WckJBg2LBhQ+gzLa3ExcW5BAcHH6yvr+9FRLOt55gouk5wH6e4b05K
 SlKvXbt20VNXJaxYuXIltLS06KRSadOZM2cuG43GYauK2AQ2W3XCsfvwpMBn
 F8Hs1Y/D5XKFixcvnvPMCFy/ft3a7CgvL5dpNBq1nfHaE8EJAt9k3st2LicP
 Dw+3Z0bABn1ardZnYGBAb5NaTFYwsBV8svGPjOXz+dTX15fOBgEdAOhaWlpG
 6OSnb+Lgqj+2CyaTCUUikdnHx8c4GwQAAP64du2aiVI63YjsUAAcGRlheDwe
 BAcH62eLgEIqlWoRkX2CDttnqwgAxCbwkSlsgMjlcnB3dzcxDGOYLQLDw8PD
 IwBgmSRDfcQGbLzRlIW2rq4uCAwM/INhGM1sEWAHBwedplkGREfHSKVSEAqF
 tTqdTj1ViWWmBIBhGA4AcOwmxwmEQgdWf3wHuru7QafT3dJqtVOeK2ZKgO/i
 4sIBAMYuk5zuCQZtslbr6lOZTAbd3d0Fhw4deqO0tJT/TL+RWUs5IpGIJY4d
 uYidgT/mlcaOngQA6MmTJznLly8fLSoq8kpJSSnp7u7uBoBfnvUOSCmlekII
 TsMOyAQrP64i58+f51y7du0/3d3dd8vLy81ardYCAJrZ2IE7XV1dPIPBYBaJ
 RPxJVnjSeDBW1CIAAJWVlfTEiRNtq1ev3h0VFfVHWVnZcicnJ2lWVtatjo6O
 Z/7NjwsA0qqqqk5HMs4n1H/GU2mDwTC6Z8+e/oyMjKqysrLwsXgBKSkpTGpq
 KgEAh4tj04EAAK7OmTOnR6VS3bcXklI6Xuihj57kKSKyLMuylFJ65coVdWpq
 antmZubfJ/pCNKuIjY1dt2TJkn/39vbKEBFHR0fRbDZPmPer1WqLVCq1VFVV
 mbdt2ybftGnT+crKysXW+erq6qZfKJiJ4CKRCDSa/9lWYGDgqoCAgF07duxI
 Gx4eFvj6+tLExETq4uLCMZlMaDAYmIGBAdLX1we3b982SCQSxZw5czpzcnLO
 rlu3rooQoptmEezpCVg/A1lL5+np6YkajebM5s2b/QFgtLm5mefl5WUxm81G
 V1fX+wqF4uH9+/d7Q0ND7+Xn57cnJiY2AYCMEELt5/rL8c4778BLL70Uu3fv
 3t8QUXf69Gnj888/f3LevHmv8ni8tLCwsCVvv/12IMuyrohI7PX7L9P3ieDm
 5sYIhcJdKSkpivr6+vqSkpLWU6dOrZ7u59z/JwEQCAQRAoGgxtfXt27Lli2v
 ISLfKtxsC/lfjFfBqpqjxxwAAAAASUVORK5CYII=

## golang 4476-2

=== Makefile ===
export GOROOT=$(PWD)
export GOOS=linux
export GOARCH=arm
export GOBIN=$(DESTDIR)/opt/go/bin
export GOPKG=$(DESTDIR)/opt/go/

install:
	mkdir -p $(GOBIN)
	cp -r $(GOROOT)/pkg $(GOPKG)
	$(MAKE) -C src

=== debian/changelog ===
golang (4476-2) unstable; urgency=low

  * Include the standard packages (pkg) .a files in the debian package.

 -- Kees Jongenburger <kees.jongenburger@gmail.com>  Sun, 24 Jan 2010 11:42:47 +0100

## golang 4476-4

=== debian/changelog ===
golang (4476-4) unstable; urgency=low

  *  Trying out a new icon.

 -- Kees Jongenburger <kees.jongenburger@gmail.com>  Thu, 28 Jan 2010 23:33:51 +0100

golang (4476-3) unstable; urgency=low

  * Second try at including the pkg files in the debian package.

 -- Kees Jongenburger <kees.jongenburger@gmail.com>  Sun, 24 Jan 2010 12:13:09 +0100

=== debian/control ===
Source: golang
Section: user/development
Priority: extra
Maintainer: Kees Jongenburger <kees.jongenburger@gmail.com>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: golang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: The go compiler and standard libraries.
 The go compiler and standard libraries. Go is a systems programming language. It is expressive, concurrent and garbage-collected.
 see http://golang.org/ for more information.
XB-Maemo-Icon-26:
 MB5!.1PT*&@H````-24A$4@```#`````P"`8```!7`OF'`````7-21T(`KLX<
 MZ0````9B2T=$`/\`_P#_H+VGDP````EP2%ES```+$P``"Q,!`)J<&`````=T
 M24U%!]H!'!8<"=_>;D4```W]241!5&C>U9IKC%W5=<?__[W/.??<U[QLSXR?
 M8\<XV#5@"^H*%2%$H8'02A3)*95H/UB-7%7P+7RIJX8/_5`)5%<52%$I0HA0
 M+%F4B"(J4`%7"H(@N3Q<&\B$U&.<`AW\F)G[/GOOM?KAG'-S;=H@F[0B6SJZ
 MC[F/WUK[O]9>:\TE1M;86/.VM))^PUJSQ5H;5Y)$XC@*-HK=(!MX">)51501
 M2.-)A!!\`.@5",$Y+QK$F,@;:WSPWHF(MS8*UMJ@(B(J/K*1L]9Z&CB2SAKK
 M%'``',F!-<Q(XXQEIJ*9JF8AA`PT`TOV`/1/?##O`8``L'G;ML@&_^BVK5OV
 M1=8@>`=K#:+(@@"""%05(0A"$(B(B*B*2A"1(/F]H-`@`J\J056#*AQ4G4(S
 M562`#@#VH=I7H@=%%V0/B@Z)C@(=`FT`'9)M`!U`.R+:$=&N`EUC3$\5/5%M
 M'_OW$RX"@$8EN??:JW?O6SQS1N8__`_I]GH0D=PZ0$&"@))0!0!0"*@J)+^!
 M0%4`!(`":@`8"!3/08K7*`!50`%(_ID4D,+\=0%$`.@)>``.A"/H23ICZ*V-
 M?*U6DSBRT76[KPG1E3NVQU^;V_#ME945O'SDAQ)"H+&6!$`67V.@I<P(*@B#
 M',X"$)):/C9D`$&`IGB+DE"``L"3,`!)%FXAA+D!`M*3],RE5%QP!#.0SACC
 MC+$^B(1&O2[&D%&WT]W<J->VO'GT;0TB3)*$I;00`*0`L@N0I/BS!8:&"0"3
 M[Q9RVSD,+06H4!4E`D$/J%.%4R`CD*EJ'V"?U#Z!'H!>_A@]%)JWQ@P4R$CC
 M7>9\S_0D21*-*DF\OM/NU)>65WQD;0[O`!60547\UQ[^[PWDWVP.4\F=.@)?
 MQI(`D%Q6$%(+6'B%9@`&4`P"I$^P#[*K*ET"'9"Y]LDV5-L@.@3;)+L@>@3[
 M*CHPHIF*.-4H*!""0B-(&.]G&0:#3$D2`<"T,GG`(_X]`6>!Y(\$_M6`[,\B
 MR`D2"10*+8Q0E/K-+Y]?=&#I7?1SKZ(+H`MJ!ZH=5;04:$&U1;(%U1:`-A1M
 M0#MY$*-'8D!P0$,7Q/@@$E1$?_:?'VL41.J#S$%"R/<[`)6_]4A^7Y#]@.!J
 M`&T@_EV%N<JQNSL6M"FP*'5_$3@<@`R%-`H#2O@"BFU`VZIH`3^_-#>D#:"C
 MJEV`/1+](H,Y"+RU*E#HXM*R`H")HKCJO(>(*(1@%;#7*Z0/]+\50=XE!G\2
 MR>"@4?F144X.O?^_PI,<%/"%GDMP=$I05:P`6"&Y`F!%55<`M%6UHZJEY_LB
 M.A`1!\!#-0P&F;3:[:%\(V-,Q;D`A8*&J@-`?P+834#E[P+,9@5G%8/O1`&`
 M,H(BN@#>C=PZ8PP!U$1D.@]F+D91M!!"J-3K]77>^Y_V^_V/2Z^+2(MDFV0)
 MWR79(SD0D4'QF2&$$+SW>E'L(?(A5)P/4(62>;X8W!^1_^!1^6,!`-@CWH1_
 M);._M#Z\:0(3R(C70^%U.S$Q,3L]/1UW.ATS.SN+R<E)=+O="1'YVD<??>36
 MKU^?SLW-[7[NN><..^>.J&J;9*N03$=5.R3[)/LBDA7PWGLO(83/P2-/?:R$
 M(!C^,0+D'2/=W;%TOQF)/TK5D]3X=Y2U?_&QV2V`&\)[5?75:K4Q-S<WLVG3
 MIM1[;V=G9SD]/<VQL3&TVVV>/'DRON...ZH+"PO<L&%#+4W3AN8!6VJ^7<#W
 M+@4>`(R()*J2OT`!I*KV)H&Y3N!>-"+'B=YMD>M_UW@V@>B;:E3A"GA6J]6I
 MR<G)B7J];M(TA7-.IZ:F4*O54*U6^=9;;V%Q<5&;S28.'#B`0X<.<6YN[J4"
 MOJ6J;57M&&.&\/FI:[QS[A?"`X`QUL8B(@"4GH%30/559ZK/>F,V%H=^`F&E
 M>,<@#UJ2<:5263T[.YN.CX_#&*/GSY_7]>O7TWN/9K.)R<E)W'___;CUUENQ
 M;MTZC(^/Z\&#!R6$\(>CFL_K&RWA,Y+>>R\E%W[!LJM6K;K=&G/]N7/G/"VM
 MG@-0!>/;E?&?BC%;E/$^B>([U(1YR.#/HQ:7J)/C4ZNF5T^;J8E)-.M-+)]?
 M1FNYQ5W7[,*9LV<011%""%A:6M(=.W9P;FX.S6:3X^/CW+IUZX96J_7JJ5.G
 M%HPQ?54=J&I6E`_!.5?"?^$RD;6)JGJ2"D(10;,#UG?OB;P_;`(`E6/T_0.V
 MU_VM^!Q.F1#-V%7U':FQFXFPSB-;T]</N_/L373P^HG7<>+X"1P_?ARJBAMO
 MO)$[=NQ`L]EDL]E$L]G$KEV[XC1-#Q3P?54=7`X\`$0TAIJ_(;^*$LP_;;Q_
 MVH3*09^Z@[8M/V,?4#N[=F95YUMG[=*]'P$*&%H0Y`0,O"SAW)-=_.8[M^AO
 M7+^'1XX<P>VWWXYZO8Y&HZ&-1H/5:A75:E5ON.&&KV_>O/G7'GWTT1\Q+^(N
 M&1X`(A4A@$"R-`(@P"3/\]EWHQ4X."9PUD9)?;S&SC-M7/GCJY`YI^U6A_5:
 M75V6<69F!E=OOP8GDY-XZJFG<.>==Z+1:)07B\!&FJ9ZUUUW50\=.K27Y`\!
 MA"S+5/.2_))6)")"TA=EL<U+=N@PQ_?A0&0T=-Y[W^OUQFJLF2FNUOIDG?%T
 MC#A).#L[@UJMI@NG%C`Y-<F;;KH)IT^?1K/91*/10+5:1:U60YJF&L<Q-V[<
 M*#,S,W?><\\]?_7$$T^<UN*++W79R<G);QACKEY>7E:2+#XG#`W(X;-"IZU.
 MIW.VW6YCQ\X=::/9L&,38YA:-8E&LX&Q\3%>L>T*&F.PM+2$O7OW8O7JU:C5
 M:B4\DB1AI5)!%$6F5JLU'W[XX2O6K%FS]K///CL-8.62#5B]>O5O`[AJ965%
 M`+#P1&E`1G*THNP#6`+P29JF&[9NW9H4@:G-9A-C8V-L-IO8LF4+]NS9@S5K
 MUJ!>KY=G`BJ5"BJ5BL9Q#&LM9V=GY?777]]XY957UHX>/1H`'+U4`XRJ#DMA
 MDJ$(*`=@4!9E(^5PI^A7SYPZ=>J#:K4JC49#R_38:#2&DFDT&JC7ZRB"%I5*
 M!4F2((HB&F-HK84Q!FO7KDV6EY=_`.![ER,A4YRH#C^?"I2'R=#SJEH;*8?;
 M)%LK*RMO+2XN?EQX74=WHMEL:NGY-$U1J51P[MPY'#Y\&&?/GE5K[;!TV;-G
 M3[QSY\X>+G.94BJE`<7]P8ADNB@F!<5MJZAC3KWRRBLG`&1C8V.LU^LZ-C;&
 M6JVFM5J-U6I5"\UKDB1X_/''=6)B`OOV[6/10P,`MF_?CH6%!?NE#2!9@H_*
 MI@N@2_)T`5]>*P!6%A<7GWWYY9<7"L^S5JM)"5^KU9@DB:9IBF/'CNFF39L8
 M11'V[]^?9^K<"*Y=NU;>>><=O5P#(@!.50=%7QN*7%S*ISNR`^75&BG$6B^]
 M]-+W]^[=^YU=NW9-I&F*6JVF:9HRCF--DH366KGVVFNY9\\>9;Y0)`J29)JF
 MH=UN=RY[!PK]]TF.!NMH%]4>:?N&792(K!0-R;N///+(/U>K55>KU7A1II$H
 MBH8!6\*3-(7#%(#=M&G3])?=@7[AD5)2@S)HBZJQ=;'GRRX*P*?OO_]^W5H[
 M2-,T3I*DA(>UMG#Z4//YX&!$0B1E>GKZ\F-`<\V77N^2[(Z,]LJ`72G@5T8;
 MD;(<=L[]='EY.:M4*HCC&%$4P5J+`C:?QN4'Y'!:5)[XR\O+G)F9:5W^#JAF
 M!3A4U12IM*>JHP';+CU?W+^@EO?>?S`8#/H%/(TQ.NIY537Y(:^C.T``.C\_
 MCZFIJ?.7;4!Q6'5'GLN*';D@:/\'^%YA:-][?SZ$X*,H`DDUQI0E"0KF4?;A
 M#I#$FV^^Z5:M6O7^ES&@7_2CY>&2`>B.`+>*D4?G(L_WRR[*&*-)DMA\X,E1
 MK9.DE#LP$KC#R=YKK[V&-6O6;`!P_'*S4']4\Z76BVE!.:_Y7/]:-")9/G`U
 M29JF9;8I`4OA#^'+]*FJ0I(OO/""WG+++4Y$GMZ^??L5EQO$I=[SL5XQ:!JY
 M6B0[(C+J^0M:P!#"*\ZY</&'CP1QJ?MA&CUZ]"@>>^RQ?UI<7/SVL6/'_N:Z
 MZZX[>5D24I%N(14A&0CT=62*1G(X*2L\/U!5-]H"JJH\\,`#^OSSSX>1@!TU
 M9/A@,!C@Q1=?//O@@P]^[XTWWOB+\OEWWWWW\M*HY!)J%9)I771HE?#=$?BL
 MJ%9#EF5E"WCF^/'C?W#????-DT3>(PT7`&!Y>5F>??99W;]__]N+BXN_/@K_
 M9594>+Q5SCJ+R=@07%4_YWD`P3EW00NXL+#PQC///'-W".'YG3MWSDQ,3"2-
 M1H,B<NZ]]][[;'%Q\?TT39]_\LDGOU]T@/CE&$`,D,_B)>\%+JC]>R.:=\88
 MIZJ?@Q]9'];K]?G;;KMMX]UWWWWP[;??_L=MV[9].C\__W%1+.*AAQ["+W-Q
 MZ]8MLRKX^M+2DO@0O(CT0PA]$>D5O<"@R#;^"^`!H#$U-?7"S3???.KPX</W
 M6FM;^#]>W+;MBBF1L&5I:3E(D.""'P0?^B(RZGFOJB'+LB^<E/U_K\@0#C1=
 M8TQ056_$9$(9D,Q$Q!ECG(B(<^XK!U]4H_36H!O92*#J`\7E>AUZ_BL+7^Y`
 M,,;VHLBJ2`C&E$T]/:#!N4R_JO``$$51'$@,XCC2("%8D1""!&.,Y-.RKRX\
 M`$1Q;`5@EL0Q?`@B0238$$2,%O_2^4HO^\FGBUB_;A:DR7^+H2HA!%U:7O[*
 MPY=3":@@&$.)HTCB.-8S9\_]2L"7/Q?`)Y_^%];-SD!A\./YG_S*P`/`?P.4
 37)*TG-[EHP````!)14Y$KD)@@@``
 `
